Package org.gradle.api.component

## Interface SoftwareComponentContainer

- All Superinterfaces:
    `Collection<SoftwareComponent>`, `DomainObjectCollection<SoftwareComponent>`, `Iterable<SoftwareComponent>`, `NamedDomainObjectCollection<SoftwareComponent>`, `NamedDomainObjectSet<SoftwareComponent>`, `Set<SoftwareComponent>`

      public interface SoftwareComponentContainer
      extends NamedDomainObjectSet<SoftwareComponent>

  A Container that contains all of the Software Components produced by a Project.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`